%global momorel 4
%global md5sum_src0 c0712ee651c74104cdcc3205f4c57881
Summary: the calculator application
Name: gcalctool
Version: 5.7.32
Release: %{momorel}m
License: GPL
URL: http://www.gnome.org/
Group: Applications/System
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/5.7/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+-devel >= 2.8.18
BuildPrereq: GConf-devel >= 2.14.0
BuildPrereq: scrollkeeper >= 0.3.14
BuildPrereq: atk-devel >= 1.11.4
BuildPrereq: libgnome-devel >= 2.14.1
BuildPrereq: libgnomeui-devel >= 2.14.1
BuildPreReq: openssl-devel >= 0.9.8b

Prereq: GConf
Prereq: scrollkeeper

%description
This is the calculator application that was in the
OpenWindows Deskset of the Solaris 8 operating system. Sun Microsystems Inc.
have kindly given me permission to release it.

It incorporates a multiple precision arithmetic packages based on the work
of Professor Richard Brent, who has also kindly given me permission to make
it available.

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall _sklocalstatedir=%{buildroot}/var/scrollkeeper
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# remove
rm -rf %{buildroot}/var/scrollkeeper

install -d %{buildroot}/%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
        gcalctool.schemas \
        ; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    gcalctool.schemas \
    ; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%postun
scrollkeeper-update

%files 
%defattr(-, root, root)
%{_sysconfdir}/gconf/schemas/gcalctool.schemas
%{_bindir}/gcalctool
%{_bindir}/gnome-calculator
%doc %{_datadir}/omf/gcalctool
%doc %{_datadir}/gnome/help/gcalctool
%{_datadir}/locale/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/gcalctool.1.*

%changelog
* Mon Jun 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.7.32-4m)
- rewind 5.7.32 (5.8.13 for GNOME 2.15.X, sorry)

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.8.13-1m)
- update to 5.8.13

* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.7.32-3m)
- revise %%files for rpm-4.4.2

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.7.32-2m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.7.32-1m)
- update to 5.7.32

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.6.31-1m)
- version up
- GNOME 2.12.1 Desktop

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.4.20-1m)
- version 4.4.20
- GNOME 2.8 Desktop

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (4.3.51-2m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.3.51-1m)
- version 4.3.51
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Fri Mar 19 2004 Toru Hoshina <t@momonga-linux.org>
- (4.3.38-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.3.38-1m)
- version 4.3.38

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.3.16-1m)
- version 4.3.16

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.3.15-1m)
- version 4.3.15

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (4.3.3-1m)
- version 4.3.3

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.3.0-1m)
- version 4.3.0

* Sat Aug 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.2.103-1m)
- version 4.2.103

* Thu Jul 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.2.99-1m)
- version 4.2.99

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.2.86-1m)
- version 4.2.86

* Thu May 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.2.83-1m)
- version 4.2.83

* Wed Mar 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.2.77-1m)
- version 4.2.77

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.1.9-2m)
- rebuild against for XFree86-4.3.0

* Sat Aug 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.1.9-1m)
- version 4.1.9

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.1.0-3m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.1.0-2m)
- add URL tag

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.1.0-1m)
- create
